Neparametrické testy (seřazeno podle přednášek)
--------------------

- testy jedné veličiny -----------------------------------------------

pv=sign_test(X,Y,strana)
          //znaménkový test shody mediánů

[pv,W,kr1,kr2]=wilcoxon_test(x1,x2,sm,al)
          // Wilcoxonův párový test shody mediánů

[pv,q,krD,krH]=norm_test(x,al)
          // velmi jednoduchý test normality

pv=normCh2_test(x,n)
          // chi2 test normality dat x

pv=KS_test(x,rozdeleni,varargin)
          // Kolmogorov-Smirnovův test typu rozdělení

pv=chisquare_test(O,E)
          //chi kvadrat test dobre shody

- testy dvou veličin -------------------------------------------------

[pv,U,Kr]=mannwhit_test(x1,x2)
          // Mann Whitneyův test for shody mediánů (rozdělení)
 
pv=sign_test(X,Y,strana)
          //znaménkový test shody mediánů

[pv,W,kr1,kr2]=wilcoxon_test(x1,x2,sm,al)
          // Wilcoxonův párový test shody mediánů

pv=mcnemar_test(Tab)
          // McNemarův test - párové porovnání

- testy více veličin -------------------------------------------------

[p_hodnota,T]=anova_1(x)
          // Anova s jedním faktorem

pv=bartlett_test(L)
          // Bartlettův test shody rozptylů

[MgtF,M,F]=scheffe_test(L,al)
          // post-analýza k testu Anova

[pv_col, pv_row]=anova_2(s)
          // Anova s dvěma faktory

pv=kruskal_test(L)
          // Kruskal-Wallisův test - jako anova1, ale nevyžaduje normalitu.

pv=friedman_test(L)
          // porovnání několika výběrů (blokový test) 

- testy nezávislosti -------------------------------------------------

pv=chisquare_test_i(KT)
          //chi kvadrat test nezavislosti

pv=pearson_test(X,Y) 
          //Pearsonův test nezávislosti
          
pv=spearman_test(X,Y) 
          //Spearmanův_test nezávislosti

pv=ordinal_test(x) 
          //test nezávislosti prvků výběru

- regrese ------------------------------------------------------------

[res,a]=autoreg_test(x,y)
          // test autoregrese residuí (pro hodnocení regrese)
          
p=lin_reg(x,y); yp=lin_pred(x,p);  
          // (multi) Lineární regrese a predikce
          
p=exp_reg(x,y); yp=exp_pred(x,p);  
          // Exponenciální regrese a predikce
          
p=pol_reg(x,y); yp=pol_pred(x,p);  
          // Polynomiální regrese a predikce
          
Pomocné funkce
--------------          

T=table(x,y)
          // tabulka četností

j=ranks(a)
          // pořadí pro diskrétní náhodnou veličinu
          
[h,f]=vals(a)
          // určení hodnot a jejich četností ve výběru

          
