// 8.1 dvě střední hodnoty
//V jazykové škole existuje dvouletý kurz angličtiny. Škola tvrdí, 
// (i) že první ročník má lepší výsledky v testech (nezávislé),
// (ii) že studenti se v druhém ročníku zlepší (párové)
// ----------------------------------------------------------
clear, close
exec spust_pri_startu.sce, mode(0), clc

// výsledky 1. ročník
x1=[1 2 1 3 3 2 4 2 2 1 2 1 4 1 1 2 1 1 4];
// výsledky 2. ročník
x2=[2 2 1 2 2 4 3 2 1 1 2 1 2 1 1 2 1 2 3];

// řešení (i)
disp 'Uloha (i)'
stredni_hodnota_1=mean(x1);
rozptyl_1=variance(x1);
n1=length(x1);
stredni_hodnota_2=mean(x2);
rozptyl_2=variance(x2);
n2=length(x2);
strana='p';

[p_hodnota,T,t_alpha]=t_test_2s(stredni_hodnota_1,rozptyl_1,n1,..
             stredni_hodnota_2,rozptyl_2, n2,strana);
p_hodnota

// řešení (ii)
disp 'Uloha (ii)'
vyber1=x1;
vyber2=x2;
strana='l';

[p_hodnota,T,t_alpha]=t_test_2p(vyber1,vyber2,strana);
p_hodnota

// Poznámka
// (i) H0: 1. lepší než 2. HA: 1. horší než 2.
// podle HA: známky 1. > známky 2. -> známky 1 - známky 2. > 0 pravo
// (ii) H0: 1. horsí než 2. HA: 1. lepší než 2.
// známky známky 1.<známky 2. -> známky 1 - známky 2 < 0 levo
