// 9.1 Chi-kvadrát test nezávislosti
//V pěti čtvrtích Prahy jsme se dotazovali na platy lidí. 
//Platy jsme rozdělili do tří skupin 1-nizké, 2-střední a 3-vysoké. 
//Ptáme se, zda mezi čtvrtěmi a výškou platu je nějaké souvislost.
// ----------------------------------------------------------
clear, close
exec spust_pri_startu.sce, mode(0), clc

// platy 1,2,3 podle čtvrtí C1,.., C5
C1=[1 1 2 1 2 2 3 3 2 1 1 2 1 3 1 2 3 2 1 2 1 1];
C2=[3 3 1 2 3 3 2 3 1 1 3 2 3 1 1 3 1 2 1 3 1 2];
C3=[1 2 1 1 2 2 1 2 1 3 1 2 1 2 2 2 2 1 2 2 1 1];
C4=[2 2 2 1 2 2 3 2 2 2 2 1 2 1 2 2 2 2 3 1 2 3];
C5=[3 3 2 3 2 2 3 3 1 2 1 3 1 3 3 3 3 2 3 3 3 1];

// Určení tabulky četností
Tab=[];   // u Scilab 6 musí být Tab=0;
v=vals(C1); Tab=[Tab; v(2,:)];
v=vals(C2); Tab=[Tab; v(2,:)];
v=vals(C3); Tab=[Tab; v(2,:)];
v=vals(C4); Tab=[Tab; v(2,:)];
v=vals(C5); Tab=[Tab; v(2,:)];

[pv,T,chi_alpha]=chisquare_test_i(Tab);
pv

// Poznámka
// H0 je jsou nezávislé. Tedy pro pv<alfa platí: jsou závislé.
