// 10.1 Lineární regrese (s použitím funkcí)
//V letech 1975 - 2015 jsme zaznamenávali požadavky na parkovací 
//místa v Praze 4. Zajímá nás lineární intepolace dat.
// ----------------------------------------------------------
clear, close
exec spust_pri_startu.sce, mode(0), clc

// roky
x=1975:2015;
// požadavky na parkování v tis.
y=[27.88  42.75  51.23  48.44  46.02  42.52  45.72  58.27  ..
   45.88  31.5   43.04  25.58  34.66  34.79  50.64  46.24  ..
   41.61  48.24  34.17  38.22  36.26  32.12  73.76  39.87  ..
   30.41  57.52  49.19  20.24  35.72  57.91  48.77  58.62  ..
   45.48  51.76  36.88  47.36  49.61  47.4   61.04  48.22  ..
   48.49];

nx=length(x);

// regrese
p=lin_reg(x,y);
// predikce
yp=lin_pred(x,p);

// výsledky
plot(1:nx,y,'.',1:nx,yp)
legend('y','yp');

