// 10.1 Lineární multiregrese
//Sledujeme dopravní nehody a jejich vážnost. Označíme je y
//a zavedeme hodnoty: 
//1 - lehká nehoda bez zranění, 
//2 - nehoda s větší hmotnou škodou, 
//3 - nehoda s vážnějším zraněním, 
//4 - nehoda s úmrtím. 
//Zajímá nás, jaké okolnosti mají vliv na vážné nehody (3 a 4). 
//Jako okolnosti vybereme veličiny 
//x_{1}: rychlost vozidla při střetu, 
//x_{2}: viditelnost, 
//x_{3}: povrch vozovky. 
//Modelujeme multiregresí.
// ----------------------------------------------------------
clear, close
exec spust_pri_startu.sce, mode(0), clc

x=[..
1 2 2 1 2 1 1 1 2 1 2 1 2 2 1 1
2 1 2 2 1 1 2 1 2 2 2 1 1 2 2 1
1 2 2 1 1 1 1 2 2 2 1 2 1 1 1 2];
y=[..
1 2 3 2 1 3 2 1 3 4 4 3 1 2 2 1];

nx=length(y);

p=lin_reg_n(x,y);

yp=lin_pred_n(x,p);

disp 'regresní koeficienty'
p

disp 'nevětší vliv má veličina s největším koeficientem'
printf '    (poslední je konstanta - ta se nepočítá)'

// výsledky
plot(1:nx,y,'.',1:nx,yp,'x')
legend('y','yp');

