// 10.1 Dynamická regrese 
//Modelujeme rozjezd závodního automobilu. Automobil je řízen pouze 
//plynem - jede na 100% stlačení plynového pedálu. Automobil jsme 
//sledovali od vteřiny 0 do vteřiny 8 a změřili jsme následující 
//hodnoty rychlosti 0, 55, 78, 103, 115, 130, 145, 150, 156
// ----------------------------------------------------------
clear, close
exec spust_pri_startu.sce, mode(0), clc

x=0:8;
y=[0, 55, 78, 103, 115, 130, 145, 150, 156];

// model: y(t) = ay(t-1) + b
// data
for t=1:8
  Y(t,1)=y(t+1);
  X(t,:)=[y(t) 1];
end
// regrese
p=inv(X'*X)*X'*Y
// predikce
yp=X*p;

// výsledky
plot(1:length(Y),Y,'.',1:length(yp),yp,'x')
legend('y','yp',2);

