// 10.1 Exponenciální regrese 
//Sledujeme nárůst počtu automobilů v malé vesnici. Naměřili jsme 
//data x-roky, y-počet automobilů. Zjišťujeme, zda počet automobilů 
//roste exponenciálně (tj. lze jej aproximovat exponeciálou).
// ----------------------------------------------------------
clear, close
exec spust_pri_startu.sce, mode(0), clc

x=[1970 1990 2010 2015];
y=[   2    7   21   35];

nx=length(y);

p=exp_reg(x,y);

yp=exp_pred(x,p);

// standard error
e=y-yp;
SE=e*e'/nx

// výsledky
plot(1:nx,y,'.',1:nx,yp,'x')
set(gca(),'data_bounds',[0,5,0 38])
legend('y','yp',2);

