// 10.1 Polynomiální regrese 
//Sledujeme nárůst počtu automobilů v malé vesnici. Naměřili jsme 
//data x-roky, y-počet automobilů. Zjišťujeme, zda počet automobilů 
//roste polynomiálně (tj. lze jej aproximovat polynomem).
// Porovnejte s exponenciální regresí (lepší je to, co má menší SE)
// ----------------------------------------------------------
clear, close
exec spust_pri_startu.sce, mode(0), clc

x=[1970 1990 2010 2015];
y=[   2    7   21   35];

nx=length(y);

k=3;                     // stupeň polynomu (doporučuje se 3)
p=pol_reg(x,y,);

yp=pol_pred(x,p);

// standard error
e=y-yp;
SE=e*e'/nx

// výsledky
plot(1:nx,y,'.',1:nx,yp,'x')
set(gca(),'data_bounds',[0,5,0 38])
legend('y','yp',2);

